org.apache.maven.plugin

## Class MavenPluginDiscoverer

- java.lang.Object
- - AbstractComponentDiscoverer
  - - org.apache.maven.plugin.MavenPluginDiscoverer

-     public class MavenPluginDiscoverer
      extends AbstractComponentDiscoverer

  Version:
    $Id: MavenPluginDiscoverer.java 495147 2007-01-11 07:47:53Z jvanzyl $
  Author:
    Jason van Zyl, Trygve Laugstøl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenPluginDiscoverer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentSetDescriptor` | `createComponentDescriptors(java.io.Reader componentDescriptorConfiguration, java.lang.String source)`
    `java.lang.String` | `getComponentDescriptorLocation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenPluginDiscoverer

          public MavenPluginDiscoverer()

  - ### Method Detail

    - #### getComponentDescriptorLocation

          public java.lang.String getComponentDescriptorLocation()

    - #### createComponentDescriptors

          public ComponentSetDescriptor createComponentDescriptors(java.io.Reader componentDescriptorConfiguration,
                                                          java.lang.String source)
                                                            throws PlexusConfigurationException

      Throws:
        `PlexusConfigurationException`